-- MySQL dump 10.11
--
-- Host: localhost    Database: sc3
-- ------------------------------------------------------
-- Server version	5.0.32-Debian_7etch1-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `agent_accounts`
--

DROP TABLE IF EXISTS `agent_accounts`;
CREATE TABLE `agent_accounts` (
  `account_id` varchar(32) NOT NULL,
  `user_id` varchar(32) NOT NULL,
  PRIMARY KEY  (`account_id`,`user_id`),
  KEY `IDX_agent_accounts1` (`account_id`),
  KEY `IDX_agent_accounts2` (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `agent_accounts`
--

LOCK TABLES `agent_accounts` WRITE;
/*!40000 ALTER TABLE `agent_accounts` DISABLE KEYS */;
/*!40000 ALTER TABLE `agent_accounts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `custom_fields`
--

DROP TABLE IF EXISTS `custom_fields`;
CREATE TABLE `custom_fields` (
  `field_id` varchar(64) NOT NULL,
  `field_title` varchar(255) NOT NULL,
  `field_type` char(1) NOT NULL,
  `default_value` text,
  `options` text,
  `related_to` char(1) NOT NULL,
  `order_value` int(11) default NULL,
  `user_access` char(1) NOT NULL,
  PRIMARY KEY  (`field_id`),
  UNIQUE KEY `IDX_custom_fields1` (`field_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `custom_fields`
--

LOCK TABLES `custom_fields` WRITE;
/*!40000 ALTER TABLE `custom_fields` DISABLE KEYS */;
/*!40000 ALTER TABLE `custom_fields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `custom_values`
--

DROP TABLE IF EXISTS `custom_values`;
CREATE TABLE `custom_values` (
  `value_id` int(10) unsigned NOT NULL auto_increment,
  `field_id` varchar(64) NOT NULL,
  `ticket_id` int(10) unsigned default NULL,
  `user_id` varchar(32) default NULL,
  `field_value` text,
  PRIMARY KEY  (`value_id`),
  KEY `IDX_custom_values1` (`field_id`),
  KEY `IDX_custom_values2` (`ticket_id`),
  KEY `IDX_custom_values3` (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `custom_values`
--

LOCK TABLES `custom_values` WRITE;
/*!40000 ALTER TABLE `custom_values` DISABLE KEYS */;
/*!40000 ALTER TABLE `custom_values` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `displayed_tickets`
--

DROP TABLE IF EXISTS `displayed_tickets`;
CREATE TABLE `displayed_tickets` (
  `user_id` varchar(32) NOT NULL,
  `ticket_id` int(10) unsigned NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY  (`user_id`,`ticket_id`),
  KEY `IDX_displayed_tickets1` (`user_id`),
  KEY `IDX_displayed_tickets2` (`ticket_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `displayed_tickets`
--

LOCK TABLES `displayed_tickets` WRITE;
/*!40000 ALTER TABLE `displayed_tickets` DISABLE KEYS */;
/*!40000 ALTER TABLE `displayed_tickets` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `escalation_rules`
--

DROP TABLE IF EXISTS `escalation_rules`;
CREATE TABLE `escalation_rules` (
  `rule_id` int(11) NOT NULL auto_increment,
  `name` varchar(64) NOT NULL,
  `rule_order` mediumint(9) default NULL,
  `queue_cond` text,
  `owner_cond` text,
  `status_cond` varchar(128) default NULL,
  `priority_cond` text,
  `last_reply_cond` varchar(10) default NULL,
  `ticket_age_cond` varchar(10) default NULL,
  `answer_time_cond` varchar(10) default NULL,
  `action_queue` varchar(32) default NULL,
  `action_owner` varchar(32) default NULL,
  `action_status` char(1) default NULL,
  `action_priority` tinyint(3) unsigned zerofill default NULL,
  `action_delete_ticket` char(1) default NULL,
  `action_delete_ticket_users` char(1) default NULL,
  `last_execution` datetime default NULL,
  PRIMARY KEY  (`rule_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `escalation_rules`
--

LOCK TABLES `escalation_rules` WRITE;
/*!40000 ALTER TABLE `escalation_rules` DISABLE KEYS */;
/*!40000 ALTER TABLE `escalation_rules` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `file_contents`
--

DROP TABLE IF EXISTS `file_contents`;
CREATE TABLE `file_contents` (
  `file_id` varchar(32) NOT NULL,
  `content_nr` int(10) unsigned NOT NULL,
  `content` longblob,
  PRIMARY KEY  (`file_id`,`content_nr`),
  KEY `IDX_file_contents1` (`file_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `file_contents`
--

LOCK TABLES `file_contents` WRITE;
/*!40000 ALTER TABLE `file_contents` DISABLE KEYS */;
/*!40000 ALTER TABLE `file_contents` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `files`
--

DROP TABLE IF EXISTS `files`;
CREATE TABLE `files` (
  `file_id` varchar(32) NOT NULL,
  `filename` varchar(250) NOT NULL,
  `filesize` int(10) unsigned default NULL,
  `filetype` varchar(250) default NULL,
  `created` datetime NOT NULL,
  `downloads` int(10) unsigned zerofill default '0000000000',
  PRIMARY KEY  (`file_id`),
  UNIQUE KEY `IDX_files1` (`file_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `files`
--

LOCK TABLES `files` WRITE;
/*!40000 ALTER TABLE `files` DISABLE KEYS */;
/*!40000 ALTER TABLE `files` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `filters`
--

DROP TABLE IF EXISTS `filters`;
CREATE TABLE `filters` (
  `filter_id` int(10) unsigned NOT NULL auto_increment,
  `filter_name` varchar(255) NOT NULL,
  `grid_id` varchar(32) NOT NULL,
  `user_id` varchar(32) NOT NULL,
  `filter_value` text,
  `last_used` datetime default NULL,
  PRIMARY KEY  (`filter_id`),
  UNIQUE KEY `IDX_filters1` (`filter_name`,`user_id`),
  KEY `IDX_filters2` (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `filters`
--

LOCK TABLES `filters` WRITE;
/*!40000 ALTER TABLE `filters` DISABLE KEYS */;
/*!40000 ALTER TABLE `filters` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `kb_comments`
--

DROP TABLE IF EXISTS `kb_comments`;
CREATE TABLE `kb_comments` (
  `comment_id` int(10) unsigned NOT NULL,
  `item_id` int(10) unsigned default NULL,
  `ip` varchar(15) default NULL,
  `user_id` varchar(32) default NULL,
  `email` varchar(255) default NULL,
  `fullname` varchar(128) default NULL,
  `ranking` tinyint(4) default NULL,
  `comment` text,
  `created` datetime NOT NULL,
  `status` char(1) default NULL,
  PRIMARY KEY  (`comment_id`),
  KEY `IDX_kb_comments1` (`item_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `kb_comments`
--

LOCK TABLES `kb_comments` WRITE;
/*!40000 ALTER TABLE `kb_comments` DISABLE KEYS */;
/*!40000 ALTER TABLE `kb_comments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `kb_item_files`
--

DROP TABLE IF EXISTS `kb_item_files`;
CREATE TABLE `kb_item_files` (
  `item_id` int(10) unsigned NOT NULL,
  `file_id` varchar(32) NOT NULL,
  PRIMARY KEY  (`item_id`,`file_id`),
  KEY `IDX_kb_item_files1` (`item_id`),
  KEY `IDX_kb_item_files2` (`file_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `kb_item_files`
--

LOCK TABLES `kb_item_files` WRITE;
/*!40000 ALTER TABLE `kb_item_files` DISABLE KEYS */;
/*!40000 ALTER TABLE `kb_item_files` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `kb_item_words`
--

DROP TABLE IF EXISTS `kb_item_words`;
CREATE TABLE `kb_item_words` (
  `item_id` int(10) unsigned NOT NULL,
  `word_id` char(32) NOT NULL,
  `word_ranking` float default NULL,
  PRIMARY KEY  (`item_id`,`word_id`),
  KEY `IDX_kb_item_words1` (`item_id`),
  KEY `IDX_kb_item_words2` (`word_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `kb_item_words`
--

LOCK TABLES `kb_item_words` WRITE;
/*!40000 ALTER TABLE `kb_item_words` DISABLE KEYS */;
/*!40000 ALTER TABLE `kb_item_words` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `kb_items`
--

DROP TABLE IF EXISTS `kb_items`;
CREATE TABLE `kb_items` (
  `item_id` int(10) unsigned NOT NULL auto_increment,
  `tree_path` varchar(128) default NULL,
  `item_order` mediumint(8) unsigned default NULL,
  `subject` varchar(255) NOT NULL,
  `metadescription` text,
  `url` varchar(128) default NULL,
  `body` text,
  `user_id` varchar(32) NOT NULL,
  `created` datetime default NULL,
  `access_mode` char(1) default NULL,
  `is_indexed` char(1) NOT NULL default 'n',
  PRIMARY KEY  (`item_id`),
  UNIQUE KEY `IDX_kb_items3` (`item_id`),
  UNIQUE KEY `IDX_kb_items2` (`tree_path`,`url`),
  FULLTEXT KEY `IDX_kb_fulltext` (`subject`,`metadescription`,`body`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `kb_items`
--

LOCK TABLES `kb_items` WRITE;
/*!40000 ALTER TABLE `kb_items` DISABLE KEYS */;
/*!40000 ALTER TABLE `kb_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `log_users`
--

DROP TABLE IF EXISTS `log_users`;
CREATE TABLE `log_users` (
  `user_id` varchar(32) NOT NULL,
  `log_id` bigint(20) unsigned NOT NULL,
  PRIMARY KEY  (`user_id`,`log_id`),
  KEY `IDX_log_users1` (`user_id`),
  KEY `IDX_log_users2` (`log_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `log_users`
--

LOCK TABLES `log_users` WRITE;
/*!40000 ALTER TABLE `log_users` DISABLE KEYS */;
/*!40000 ALTER TABLE `log_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `logins`
--

DROP TABLE IF EXISTS `logins`;
CREATE TABLE `logins` (
  `login_id` varchar(32) NOT NULL,
  `user_id` varchar(32) NOT NULL,
  `login` datetime default NULL,
  `last_request` datetime default NULL,
  `logout` datetime default NULL,
  `ip` varchar(15) default NULL,
  `last_action` varchar(32) default NULL,
  `ticket_id` int(10) unsigned default NULL,
  PRIMARY KEY  (`login_id`),
  KEY `IDX_logins1` (`user_id`),
  KEY `IDX_logins2` (`ticket_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `logins`
--

LOCK TABLES `logins` WRITE;
/*!40000 ALTER TABLE `logins` DISABLE KEYS */;
/*!40000 ALTER TABLE `logins` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mail_accounts`
--

DROP TABLE IF EXISTS `mail_accounts`;
CREATE TABLE `mail_accounts` (
  `account_id` varchar(32) NOT NULL,
  `account_name` varchar(250) NOT NULL,
  `account_email` varchar(250) NOT NULL,
  `from_name_format` char(1) NOT NULL,
  `from_name` varchar(255) default NULL,
  `pop3_server` varchar(250) default NULL,
  `pop3_port` smallint(5) unsigned default NULL,
  `pop3_ssl` char(1) default NULL,
  `pop3_username` varchar(64) default NULL,
  `pop3_password` varchar(64) default NULL,
  `use_smtp` char(1) NOT NULL,
  `smtp_server` varchar(250) default NULL,
  `smtp_port` smallint(5) unsigned default NULL,
  `smtp_ssl` char(1) default NULL,
  `smtp_require_auth` char(1) default NULL,
  `smtp_username` varchar(64) default NULL,
  `smtp_password` varchar(64) default NULL,
  `delete_messages` char(1) NOT NULL,
  `last_unique_msg_id` varchar(250) default NULL,
  `is_default` char(1) default NULL,
  `last_msg_received` datetime default NULL,
  `public` char(1) NOT NULL,
  `last_processing` datetime default NULL,
  PRIMARY KEY  (`account_id`),
  UNIQUE KEY `IDX_mail_accounts1` (`account_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `mail_accounts`
--

LOCK TABLES `mail_accounts` WRITE;
/*!40000 ALTER TABLE `mail_accounts` DISABLE KEYS */;
/*!40000 ALTER TABLE `mail_accounts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mail_attachments`
--

DROP TABLE IF EXISTS `mail_attachments`;
CREATE TABLE `mail_attachments` (
  `mail_id` varchar(32) NOT NULL,
  `file_id` varchar(32) NOT NULL,
  PRIMARY KEY  (`mail_id`,`file_id`),
  KEY `IDX_mail_attachments1` (`mail_id`),
  KEY `IDX_mail_attachments2` (`file_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `mail_attachments`
--

LOCK TABLES `mail_attachments` WRITE;
/*!40000 ALTER TABLE `mail_attachments` DISABLE KEYS */;
/*!40000 ALTER TABLE `mail_attachments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mail_gateways`
--

DROP TABLE IF EXISTS `mail_gateways`;
CREATE TABLE `mail_gateways` (
  `gateway_id` mediumint(8) unsigned NOT NULL auto_increment,
  `name` varchar(128) NOT NULL,
  `user_id` varchar(32) NOT NULL,
  `ticket_owners` text,
  `statuses` varchar(255) default NULL,
  `queues` text,
  `priorities` varchar(255) default NULL,
  PRIMARY KEY  (`gateway_id`),
  KEY `IDX_mail_gateways1` (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `mail_gateways`
--

LOCK TABLES `mail_gateways` WRITE;
/*!40000 ALTER TABLE `mail_gateways` DISABLE KEYS */;
/*!40000 ALTER TABLE `mail_gateways` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mail_templates`
--

DROP TABLE IF EXISTS `mail_templates`;
CREATE TABLE `mail_templates` (
  `template_id` varchar(64) NOT NULL,
  `queue_id` varchar(32) NOT NULL,
  `is_system` char(1) NOT NULL default 'n',
  `is_queuebased` char(1) NOT NULL default 'n',
  `subject` text,
  `body_html` text,
  `body_text` text,
  PRIMARY KEY  (`template_id`,`queue_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `mail_templates`
--

LOCK TABLES `mail_templates` WRITE;
/*!40000 ALTER TABLE `mail_templates` DISABLE KEYS */;
INSERT INTO `mail_templates` VALUES ('RegistrationMail','all','y','n','Welcome in SupportCenter','<p>\r\nDear ${name},<br />\r\nyou have been successfully registered in our trouble ticket system.<br />\r\nYour account information:<br />\r\nUsername: ${to}<br />\r\nPassword: ${password}<br />\r\n<br />\r\nAfter login you can check status of your tickets or report new tickets here: ${appUrl}<br />\r\n<br />\r\nRegards,<br />\r\n<br />\r\nQuality Unit Support Team<br />\r\n</p>',''),('RequestNewPasswordMail','all','y','n','You requested new Password from our SupportCenter','<p>\r\nDear ${name},<br/>\r\nyou have requested new password.<br />\r\nYour new account information:<br />\r\nUsername: ${to}<br />\r\nPassword: ${password}<br />\r\n<br />\r\nAfter login you can check status of your tickets or report new tickets here: ${appUrl}<br />\r\n<br />\r\nRegards,<br />\r\n<br />\r\nQuality Unit Support Team<br />\r\n</p>',''),('CoverMail','all','y','y','${subject}','${body}\r\n<hr/>\r\n<a href=\"http://liveagent.qualityunit.com/chat/chat/index.html\" target=\"_blank\" style=\"font-size: 10; font-family: sans-serif\">Start Live Chat</a>&nbsp;\r\n<a href=\"http://www.qualityunit.com/supportcenter/\" target=\"_blank\" style=\"font-size: 10; font-family: sans-serif\">Email handled by SupportCenter</a><br/>','${body}\r\n\r\n\r\n--------------------------------------------------------------------------------\r\nEmail handled by SupportCenter\r\nURL: http://www.qualityunit.com/supportcenter/');
/*!40000 ALTER TABLE `mail_templates` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mail_users`
--

DROP TABLE IF EXISTS `mail_users`;
CREATE TABLE `mail_users` (
  `user_id` varchar(32) NOT NULL,
  `mail_role` varchar(16) NOT NULL,
  `mail_id` varchar(32) NOT NULL,
  PRIMARY KEY  (`user_id`,`mail_role`,`mail_id`),
  KEY `IDX_mail_users1` (`user_id`),
  KEY `IDX_mail_users2` (`mail_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `mail_users`
--

LOCK TABLES `mail_users` WRITE;
/*!40000 ALTER TABLE `mail_users` DISABLE KEYS */;
/*!40000 ALTER TABLE `mail_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mails`
--

DROP TABLE IF EXISTS `mails`;
CREATE TABLE `mails` (
  `mail_id` varchar(32) NOT NULL,
  `ticket_id` int(10) unsigned default NULL,
  `account_id` varchar(32) default NULL,
  `parent_mail_id` varchar(32) default NULL,
  `hdr_message_id` varchar(250) default NULL,
  `unique_msg_id` varchar(250) NOT NULL,
  `subject` varchar(255) default NULL,
  `headers` text,
  `body` longtext,
  `body_html` longtext,
  `is_answered` char(1) NOT NULL,
  `created` datetime NOT NULL,
  `delivery_date` datetime default NULL,
  `spam_ratio` float default NULL,
  `delivery_status` char(1) NOT NULL default 'd',
  `is_comment` char(1) NOT NULL,
  PRIMARY KEY  (`mail_id`),
  UNIQUE KEY `IDX_mails6` (`mail_id`),
  KEY `IDX_mails1` (`unique_msg_id`),
  KEY `IDX_mails2` (`ticket_id`),
  KEY `IDX_mails3` (`hdr_message_id`),
  KEY `IDX_mails5` (`account_id`),
  FULLTEXT KEY `IDX_mails4` (`body`,`subject`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `mails`
--

LOCK TABLES `mails` WRITE;
/*!40000 ALTER TABLE `mails` DISABLE KEYS */;
/*!40000 ALTER TABLE `mails` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `notifications`
--

DROP TABLE IF EXISTS `notifications`;
CREATE TABLE `notifications` (
  `notification_id` mediumint(8) unsigned NOT NULL auto_increment,
  `account_id` varchar(32) default NULL,
  `name` varchar(128) NOT NULL,
  `user_id` varchar(32) NOT NULL,
  `sendto_notif_owner` char(1) NOT NULL,
  `sendto_customer` char(1) NOT NULL,
  `sendto_agent_owner` char(1) NOT NULL,
  `sendto_recipients` text,
  `ticket_owners` text,
  `ticket_queue` text,
  `ticket_status` varchar(255) default NULL,
  `ticket_priority` varchar(255) default NULL,
  `to_statuses` varchar(255) default NULL,
  `to_queues` text,
  `to_priorities` varchar(255) default NULL,
  `to_owners` text,
  `subject` varchar(255) default NULL,
  `body` text,
  `status_check` char(1) NOT NULL,
  `priority_check` char(1) NOT NULL,
  `queue_check` char(1) NOT NULL,
  `owner_check` char(1) NOT NULL,
  `call_url` text,
  `custom_from_mail` varchar(255) default NULL,
  PRIMARY KEY  (`notification_id`),
  KEY `IDX_user_notifications1` (`user_id`),
  KEY `IDX_notifications2` (`account_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `notifications`
--

LOCK TABLES `notifications` WRITE;
/*!40000 ALTER TABLE `notifications` DISABLE KEYS */;
/*!40000 ALTER TABLE `notifications` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `outbox`
--

DROP TABLE IF EXISTS `outbox`;
CREATE TABLE `outbox` (
  `out_id` int(10) unsigned NOT NULL auto_increment,
  `ticket_id` int(10) unsigned default NULL,
  `mail_id` varchar(32) default NULL,
  `user_id` varchar(32) default NULL,
  `recipients` text,
  `subject` varchar(255) default NULL,
  `scheduled` datetime default NULL,
  `created` datetime default NULL,
  `method` varchar(10) NOT NULL,
  `params` text,
  `retry_nr` smallint(5) unsigned default NULL,
  `error_msg` text,
  `last_retry` datetime default NULL,
  `status` char(1) default NULL,
  PRIMARY KEY  (`out_id`),
  UNIQUE KEY `IDX_outbox1` (`out_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `outbox`
--

LOCK TABLES `outbox` WRITE;
/*!40000 ALTER TABLE `outbox` DISABLE KEYS */;
/*!40000 ALTER TABLE `outbox` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `outbox_contents`
--

DROP TABLE IF EXISTS `outbox_contents`;
CREATE TABLE `outbox_contents` (
  `out_id` int(10) unsigned NOT NULL,
  `content_nr` mediumint(8) unsigned NOT NULL,
  `content` longblob,
  PRIMARY KEY  (`out_id`,`content_nr`),
  KEY `IDX_outbox_contents1` (`out_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `outbox_contents`
--

LOCK TABLES `outbox_contents` WRITE;
/*!40000 ALTER TABLE `outbox_contents` DISABLE KEYS */;
/*!40000 ALTER TABLE `outbox_contents` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `parsing_rules`
--

DROP TABLE IF EXISTS `parsing_rules`;
CREATE TABLE `parsing_rules` (
  `rule_id` int(11) NOT NULL auto_increment,
  `name` varchar(64) NOT NULL,
  `rule_order` mediumint(8) unsigned default NULL,
  `from_addr_cond` varchar(16) default NULL,
  `from_addr_value` varchar(250) default NULL,
  `to_addr_cond` varchar(16) default NULL,
  `to_addr_value` varchar(250) default NULL,
  `queue_cond` varchar(16) default NULL,
  `queue_id` varchar(32) default NULL,
  `subject_cond` varchar(16) default NULL,
  `subject_value` varchar(250) default NULL,
  `body_cond` varchar(16) default NULL,
  `body_value` varchar(250) default NULL,
  `is_new_ticket_cond` varchar(16) default NULL,
  `account_cond` varchar(16) default NULL,
  `account_value` varchar(32) default NULL,
  `move_to_queue_id` varchar(32) default NULL,
  `change_to_status_id` char(1) default NULL,
  `change_to_prio` tinyint(3) unsigned default NULL,
  `assign_to_agent_id` varchar(32) default NULL,
  `delete_mail` char(1) default NULL,
  `stop_processing` char(1) default NULL,
  PRIMARY KEY  (`rule_id`),
  UNIQUE KEY `IDX_parsing_rules1` (`rule_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `parsing_rules`
--

LOCK TABLES `parsing_rules` WRITE;
/*!40000 ALTER TABLE `parsing_rules` DISABLE KEYS */;
/*!40000 ALTER TABLE `parsing_rules` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `parsing_rules_fields`
--

DROP TABLE IF EXISTS `parsing_rules_fields`;
CREATE TABLE `parsing_rules_fields` (
  `field_id` varchar(64) NOT NULL,
  `rule_id` int(11) NOT NULL,
  `match_pattern` text NOT NULL,
  `target_type` char(1) NOT NULL,
  `condition_type` varchar(16) default NULL,
  `condition_value` varchar(250) default NULL,
  PRIMARY KEY  (`field_id`,`rule_id`),
  KEY `IDX_parsing_rules_fields1` (`field_id`),
  KEY `IDX_parsing_rules_fields2` (`rule_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `parsing_rules_fields`
--

LOCK TABLES `parsing_rules_fields` WRITE;
/*!40000 ALTER TABLE `parsing_rules_fields` DISABLE KEYS */;
/*!40000 ALTER TABLE `parsing_rules_fields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `priorities`
--

DROP TABLE IF EXISTS `priorities`;
CREATE TABLE `priorities` (
  `priority` tinyint(3) unsigned zerofill NOT NULL,
  `priority_name` varchar(32) NOT NULL,
  PRIMARY KEY  (`priority`),
  UNIQUE KEY `IDX_Entity_11` (`priority_name`),
  UNIQUE KEY `IDX_priorities2` (`priority`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `priorities`
--

LOCK TABLES `priorities` WRITE;
/*!40000 ALTER TABLE `priorities` DISABLE KEYS */;
INSERT INTO `priorities` VALUES (001,'Low'),(050,'Normal'),(100,'High'),(250,'Immediate');
/*!40000 ALTER TABLE `priorities` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `queue_agents`
--

DROP TABLE IF EXISTS `queue_agents`;
CREATE TABLE `queue_agents` (
  `user_id` varchar(32) NOT NULL,
  `queue_id` varchar(32) NOT NULL,
  PRIMARY KEY  (`user_id`,`queue_id`),
  KEY `IDX_queue_agents1` (`user_id`),
  KEY `IDX_queue_agents2` (`queue_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `queue_agents`
--

LOCK TABLES `queue_agents` WRITE;
/*!40000 ALTER TABLE `queue_agents` DISABLE KEYS */;
/*!40000 ALTER TABLE `queue_agents` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `queues`
--

DROP TABLE IF EXISTS `queues`;
CREATE TABLE `queues` (
  `queue_id` varchar(32) NOT NULL,
  `name` varchar(64) NOT NULL,
  `ticket_id_prefix` varchar(32) default NULL,
  `queue_email` varchar(250) default NULL,
  `answer_time` int(11) NOT NULL,
  `autorespond_nt` char(1) NOT NULL,
  `autorespond_nt_subject` varchar(250) default NULL,
  `autorespond_nt_body` text,
  `is_default` char(1) NOT NULL,
  `public` char(1) default NULL,
  `opened_for_users` char(1) NOT NULL,
  PRIMARY KEY  (`queue_id`),
  UNIQUE KEY `IDX_queues1` (`queue_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `queues`
--

LOCK TABLES `queues` WRITE;
/*!40000 ALTER TABLE `queues` DISABLE KEYS */;
INSERT INTO `queues` VALUES ('e78ad75166bfafe4e763590de79b2778','DefaultQueue','DQ','',24,'n','','','y','y','n');
/*!40000 ALTER TABLE `queues` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `settings`
--

DROP TABLE IF EXISTS `settings`;
CREATE TABLE `settings` (
  `setting_id` varchar(32) NOT NULL,
  `setting_key` varchar(32) NOT NULL,
  `user_id` varchar(32) default NULL,
  `setting_value` text,
  PRIMARY KEY  (`setting_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `settings`
--

LOCK TABLES `settings` WRITE;
/*!40000 ALTER TABLE `settings` DISABLE KEYS */;
INSERT INTO `settings` VALUES ('91d6ea206d696ab1fd59d2b1a47338bf','applicationURL',NULL,'@@ROOT_URL@@/'),('3b4305ca5958466aca62ab417ca628f5','tmpPath',NULL,'@@TEMP_DIR@@/'),('93f956d73bd938d742b0f2033378b5e1','checkEmailQuality',NULL,'y'),('b792bc4c165385e7594571a2ebbb98fd','deleteLogsAfter',NULL,'7'),('ec228b97c97d55a0ff1de131f1b9d220','logFile',NULL,''),('8528e0f4369bb5d558ea485a34d0136a','minLogLevel',NULL,'info'),('6096d82322ab335354825ea6fb4f01d9','sendRegistrationEmail',NULL,'y'),('c50e05e464780a4a4a59c1b74342ad46','sendSystemMails',NULL,'y'),('e5b6c9daabb9db6d59afcd26f89fbdd3','agentCanSeeOwnReports',NULL,'y'),('0700bf96a9fb1b70db6a061550f3eeb2','subjectPrefixes',NULL,'re:, fwd:, fw:'),('cdd85b6515cb1938a05d9fd7b0ed0b82','dbLevel',NULL,'2.5.1'),('3b6db9714099977a3c45c90fba6f830f','ticketIdFormat',NULL,'ZZZ-XXXXX-999'),('7de1466c735364cf7169f74f0a35ba65','defaultLanguage',NULL,'English'),('8e4c2152c9b081788718e72c784688db','useOutbox',NULL,'y'),('a0b2e0978b9a56ff01b6ff87323b8b91','maxRetryCount',NULL,'10'),('e3cadf16274dcd938e351d875c8a6574','retryAfterDelay',NULL,'5'),('6daf5988197ea2da4cc439055c4919e4','defaultPriority',NULL,'50'),('76a5e1303902b83b09cd7f7df6c187c6','knowledgeRefresh',NULL,''),('91432caa77f45abd23661528e5c1d63c','knowledgeBaseModule',NULL,'y'),('fe0218b5092347b22120cdf23d22d88b','workReporting',NULL,'y');
/*!40000 ALTER TABLE `settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `signatures`
--

DROP TABLE IF EXISTS `signatures`;
CREATE TABLE `signatures` (
  `user_id` varchar(32) NOT NULL,
  `queue_id` varchar(32) NOT NULL,
  `signature` text,
  PRIMARY KEY  (`user_id`,`queue_id`),
  KEY `IDX_signatures1` (`user_id`),
  KEY `IDX_signatures2` (`queue_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `signatures`
--

LOCK TABLES `signatures` WRITE;
/*!40000 ALTER TABLE `signatures` DISABLE KEYS */;
/*!40000 ALTER TABLE `signatures` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `statistic_days`
--

DROP TABLE IF EXISTS `statistic_days`;
CREATE TABLE `statistic_days` (
  `day_date` date NOT NULL,
  PRIMARY KEY  (`day_date`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `statistic_days`
--

LOCK TABLES `statistic_days` WRITE;
/*!40000 ALTER TABLE `statistic_days` DISABLE KEYS */;
/*!40000 ALTER TABLE `statistic_days` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `statuses`
--

DROP TABLE IF EXISTS `statuses`;
CREATE TABLE `statuses` (
  `status` char(1) NOT NULL,
  `status_name` varchar(32) NOT NULL,
  `color` varchar(64) default NULL,
  `img` varchar(250) default NULL,
  `due` char(1) NOT NULL default 'n',
  `due_basetime` char(1) NOT NULL,
  PRIMARY KEY  (`status`),
  UNIQUE KEY `IDX_Entity_11` (`status_name`),
  UNIQUE KEY `IDX_statuses2` (`status`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `statuses`
--

LOCK TABLES `statuses` WRITE;
/*!40000 ALTER TABLE `statuses` DISABLE KEYS */;
INSERT INTO `statuses` VALUES ('c','Customer Reply','#ffffD0','status_customer_reply.png','n','m'),('a','Awaiting Reply','#aaffdd','status_awaiting_reply.png','n','m'),('b','Bounced','gray','status_bounced.png','n','m'),('w','Work In Progress','#c8c8ff','status_work.png','n','m'),('n','New','#ffffA0','status_new.png','n','m'),('r','Resolved','#cceedd','status_resolved.png','n','m'),('s','Spam','gray','status_spam.png','n','m'),('d','Dead','gray','status_dead.png','n','m');
/*!40000 ALTER TABLE `statuses` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `syslogs`
--

DROP TABLE IF EXISTS `syslogs`;
CREATE TABLE `syslogs` (
  `log_id` bigint(20) unsigned NOT NULL auto_increment,
  `level` varchar(40) NOT NULL,
  `log_type` varchar(40) NOT NULL,
  `created` datetime NOT NULL,
  `log_text` text NOT NULL,
  `ip` varchar(15) default NULL,
  PRIMARY KEY  (`log_id`),
  UNIQUE KEY `IDX_syslogs1` (`log_id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `syslogs`
--

LOCK TABLES `syslogs` WRITE;
/*!40000 ALTER TABLE `syslogs` DISABLE KEYS */;
/*!40000 ALTER TABLE `syslogs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ticket_changes`
--

DROP TABLE IF EXISTS `ticket_changes`;
CREATE TABLE `ticket_changes` (
  `log_id` int(10) unsigned NOT NULL auto_increment,
  `ticket_id` int(10) unsigned default NULL,
  `created` datetime NOT NULL,
  `created_by_user_id` varchar(32) default NULL,
  `new_status` char(1) default NULL,
  `new_queue_id` varchar(32) default NULL,
  `new_agent_owner_id` varchar(32) default NULL,
  `new_priority` tinyint(3) unsigned default NULL,
  PRIMARY KEY  (`log_id`),
  KEY `IDX_ticket_changes1` (`ticket_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `ticket_changes`
--

LOCK TABLES `ticket_changes` WRITE;
/*!40000 ALTER TABLE `ticket_changes` DISABLE KEYS */;
/*!40000 ALTER TABLE `ticket_changes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tickets`
--

DROP TABLE IF EXISTS `tickets`;
CREATE TABLE `tickets` (
  `ticket_id` int(10) unsigned NOT NULL auto_increment,
  `queue_id` varchar(32) NOT NULL,
  `subject_ticket_id` varchar(16) NOT NULL,
  `thread_id` varchar(250) NOT NULL,
  `status` char(1) default NULL,
  `priority` tinyint(3) unsigned zerofill default NULL,
  `customer_id` varchar(32) default NULL,
  `agent_owner_id` varchar(32) default NULL,
  `created` datetime NOT NULL,
  `last_update` datetime NOT NULL,
  `first_subject` varchar(255) default NULL,
  `spam_ratio` float default NULL,
  `mails_count` mediumint(8) unsigned default NULL,
  PRIMARY KEY  (`ticket_id`),
  UNIQUE KEY `IDX_tickets1` (`subject_ticket_id`),
  UNIQUE KEY `IDX_tickets2` (`thread_id`),
  UNIQUE KEY `IDX_tickets5` (`ticket_id`),
  KEY `IDX_tickets3` (`agent_owner_id`),
  KEY `IDX_tickets4` (`customer_id`),
  KEY `IDX_tickets6` (`queue_id`),
  KEY `IDX_tickets7` (`priority`),
  KEY `IDX_tickets8` (`status`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `tickets`
--

LOCK TABLES `tickets` WRITE;
/*!40000 ALTER TABLE `tickets` DISABLE KEYS */;
/*!40000 ALTER TABLE `tickets` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
CREATE TABLE `users` (
  `user_id` varchar(32) NOT NULL,
  `name` varchar(250) default NULL,
  `email` varchar(250) NOT NULL,
  `email_quality` tinyint(4) default NULL,
  `created` datetime NOT NULL,
  `password` varchar(32) NOT NULL,
  `signature` text,
  `hash` varchar(32) default NULL,
  `user_type` char(1) NOT NULL,
  `picture_id` varchar(32) default NULL,
  PRIMARY KEY  (`user_id`),
  UNIQUE KEY `IDX_users1` (`email`),
  UNIQUE KEY `IDX_users2` (`user_id`),
  KEY `IDX_users3` (`picture_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `users`
--

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
INSERT INTO `users` VALUES ('ebb0c103cd05500233bf819b17a6a399','@@ADMIN_P_NAME@@','@@ADMIN_EMAIL@@',0,'2007-12-05 12:42:39','@@ADMIN_PASSWORD@@','&nbsp;','668edf481e1dbbab7c7b78fc69e2bbf6','a',NULL);
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `words`
--

DROP TABLE IF EXISTS `words`;
CREATE TABLE `words` (
  `word_id` char(32) NOT NULL,
  `word` varchar(250) NOT NULL,
  `ranking` float default NULL,
  PRIMARY KEY  (`word_id`),
  UNIQUE KEY `IDX_words1` (`word_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `words`
--

LOCK TABLES `words` WRITE;
/*!40000 ALTER TABLE `words` DISABLE KEYS */;
/*!40000 ALTER TABLE `words` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `work_reports`
--

DROP TABLE IF EXISTS `work_reports`;
CREATE TABLE `work_reports` (
  `work_id` int(10) unsigned NOT NULL auto_increment,
  `approved` char(1) NOT NULL default 'n',
  `created` datetime NOT NULL,
  `login_id` varchar(32) default NULL,
  `user_id` varchar(32) default NULL,
  `ticket_id` int(10) unsigned default NULL,
  `billing_time` int(10) unsigned zerofill default '0000000000',
  `work_time` int(10) unsigned zerofill default '0000000000',
  `ticket_time` int(10) unsigned zerofill default '0000000000',
  `note` text,
  PRIMARY KEY  (`work_id`),
  KEY `IDX_work_reports1` (`user_id`),
  KEY `IDX_work_reports2` (`ticket_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `work_reports`
--

LOCK TABLES `work_reports` WRITE;
/*!40000 ALTER TABLE `work_reports` DISABLE KEYS */;
/*!40000 ALTER TABLE `work_reports` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2007-12-05  6:43:17
